/*
 * SPDX-License-Identifier: AGPL-3.0-only
 * Copyright (c) Camden Dixie O'Brien
 */

#ifndef WIFI_H
#define WIFI_H

typedef enum {
	WIFI_STATUS_DISCONNECTED,
	WIFI_STATUS_CONNECTED,
} WifiStatus;

/**
 * Initialize the WiFi subsystem, and try to connect to the network.
 */
void wifi_init(void);

/**
 * Disconnect and reconnect to WiFi.
 */
void wifi_reconnect(void);

/**
 * Get the status of the WiFi connection.
 */
WifiStatus get_wifi_status(void);

#endif
